# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::SetModel;
{
use RDF::Model;

use Carp;

@RDF::SetModel::ISA = qw( RDF::Model );

sub new {
    bless $_[0]->SUPER::new(), $_[0];
};

sub intersect {
	croak "Model ".$_[1]." is not instance of RDF::Model"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Model')) );
};

sub subtract {
	croak "Model ".$_[1]." is not instance of RDF::Model"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Model')) );
};

sub unite {
	croak "Model ".$_[1]." is not instance of RDF::Model"
		unless( (not(defined $_[1])) ||
			($_[1]->isa('RDF::Model')) );
};

1;
};

__END__

=head1 NAME

RDF::SetModel - definiton of the SetModel RDF API

=head1 SYNOPSIS

  use RDF::SetModel
  my $set = new RDF::SetModel();

=head1 DESCRIPTION

This is just the interface definition. If you are more interested to an example implementation see RDF::Store::SetModel(3)

=head1 SEE ALSO

RDF::Store::SetModel(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
